// gnome.xonotic.in.ua

models/mapobjects/teleporter/energy
{
	cull disable
	{
		map models/mapobjects/teleporter/energy.tga
		blendfunc gl_one gl_one
		tcmod scroll 2.2 1.3
		rgbgen wave inversesawtooth -.3 1.3 0 1.3
	}
	{
		map models/mapobjects/teleporter/energy2.tga
		blendfunc gl_one gl_one
		tcmod scroll -1 .5
		rgbgen wave inversesawtooth -.2 1.2 0 .5
	}
	{
		map models/mapobjects/teleporter/energy3.tga
		blendfunc gl_one gl_one
		tcmod scroll 3 0
		rgbgen wave triangle 1 1 0 5.3
	}
}

models/mapobjects/teleporter/teleporter_edge
{
	{
		map models/mapobjects/teleporter/teleporter_edge.tga
		rgbgen vertex
	}
	{
		map models/mapobjects/teleporter/teleporter_edge2.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 .2 1.5
	}
}

models/mapobjects/teleporter/transparency
{
	cull disable
	{
		map models/mapobjects/teleporter/transparency.tga
		blendfunc gl_one gl_one
	}
	{
		map models/mapobjects/teleporter/transparency2.tga
		blendfunc gl_one gl_one
		tcmod scroll .1 .2
	}
}

models/mapobjects/teleporter/widget
{
	cull disable
	{
		map models/mapobjects/teleporter/widget.tga
		blendfunc gl_one gl_one
	}
	{
		map models/mapobjects/teleporter/transparency2.tga
		blendfunc gl_one gl_one
		tcmod scroll -.1 -.2
	}
}

textures/base_light/baslt4_1_4k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 4000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/ceil1_37
{
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_37.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_37.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/jaildr1_3
{
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/jaildr1_3.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/jaildr1_3.blend.tga
		rgbgen wave sin 0.5 0.5 1 1
		blendfunc gl_one gl_one
	}
}

textures/base_light/light1_1500
{
	qer_editorimage textures/base_light/light1.tga
	surfaceparm nomarks
	q3map_surfacelight 1500
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/light1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/light1.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/wsupprt1_12
{
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/wsupprt1_12.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/wsupprt1_12.blend.tga
		rgbgen wave sin 0.5 0.5 1 1
		blendfunc gl_one gl_one
	}
}

textures/base_object/boxq3_3
{
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_object/boxq3_3.tga
		rgbgen identity
		alphagen lightingspecular
		blendfunc gl_dst_color gl_src_alpha
	}
}

textures/base_object/boxq3_4
{
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_object/boxq3_4.tga
		rgbgen identity
		alphagen lightingspecular
		blendfunc gl_dst_color gl_src_alpha
	}
}

textures/base_support/support1shiny
{
	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/base_support/support1shiny.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/base_support/x_support2
{
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/base_support/x_support2.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_wall/protobanner
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	tesssize 64
	deformvertexes wave 30 sin 0 3 0 .2
	deformvertexes wave 100 sin 0 3 0 .7
	{
		map textures/base_wall/protobanner.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/common/areaportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm areaportal
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/invisible
{
	surfaceparm nolightmap
	{
		map textures/common/invisible.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/liquids/clear_calm1
{
	qer_editorimage textures/liquids/pool3d_3e.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformvertexes wave 64 sin .25 .25 0 .5
	{
		map textures/liquids/pool3d_5e.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map textures/liquids/pool3d_3e.tga
		blendfunc gl_dst_color gl_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/mrcleantex_1/jump_tile2
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga
	q3map_surfacelight 250
	{
		map textures/mrcleantex_1/jump_tile2.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcmod stretch sin 1.2 .8 0 1.5
		rgbgen wave square .5 .5 .25 1.5
	}
}

textures/mrcleantex_1/mrcbanner
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	deformvertexes wave 100 sin 0 1 0 .1
	deformvertexes wave 100 sin 0 1 0 .2
	{
		map textures/mrcleantex_1/mrcbanner.tga
		alphafunc ge128
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/sfx/teslacoil
{
	cull none
	q3map_lightimage textures/sfx/tesla1.tga
	qer_editorimage textures/sfx/tesla1.tga
	q3map_surfacelight 100
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/sfx/tesla1.tga
		blendfunc add
		rgbgen wave sawtooth 0 1 0 5
		tcmod scale 1 .5
		tcmod turb 0 .1 0 1
		tcmod scroll -1 -1
	}
	{
		map textures/sfx/electricslime.tga
		blendfunc add
		rgbgen wave sin 0 .5 0 1
		tcmod scale .5 .5
		tcmod turb 0 .1 0 1
		tcmod rotate 180
		tcmod scroll -1 -1
	}
	{
		map textures/sfx/cabletest2.tga
		blendfunc blend
	}
}

textures/skies/kc_dm10sky
{
	q3map_lightimage textures/skies/pjbasesky.tga
	q3map_lightsubdivide 512
	q3map_globaltexture
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun .5 .6 .8 90 225 55
	q3map_surfacelight 150
	qer_editorimage textures/skies/bluetopclouds.tga
	skyparms - 512 -
	{
		map textures/skies/bluedimclouds.tga
		tcmod scale 3 2
		tcmod scroll 0.15 0.15
	}
	{
		map textures/skies/topclouds.tga
		blendfunc gl_one gl_one
		tcmod scale 3 3
		tcmod scroll 0.05 0.05
	}
}

